--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: action_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE action_type AS ENUM (
    'http_request',
    'nailgun_task'
);


ALTER TYPE public.action_type OWNER TO nailgun;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'update',
    'update_error'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: action_logs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE action_logs (
    id integer NOT NULL,
    actor_id character varying(64),
    action_group character varying(64) NOT NULL,
    action_name character varying(64) NOT NULL,
    action_type action_type NOT NULL,
    start_timestamp timestamp without time zone NOT NULL,
    end_timestamp timestamp without time zone,
    is_sent boolean,
    additional_info text NOT NULL,
    cluster_id integer
);


ALTER TABLE public.action_logs OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE action_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.action_logs_id_seq OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE action_logs_id_seq OWNED BY action_logs.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    pending_release_id integer
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text,
    group_id integer
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying,
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: nodegroups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodegroups (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(50) NOT NULL
);


ALTER TABLE public.nodegroups OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodegroups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodegroups_id_seq OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodegroups_id_seq OWNED BY nodegroups.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text,
    group_id integer
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: release_orchestrator_data; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_orchestrator_data (
    id integer NOT NULL,
    release_id integer NOT NULL,
    repo_metadata text NOT NULL,
    puppet_manifests_source text NOT NULL,
    puppet_modules_source text NOT NULL
);


ALTER TABLE public.release_orchestrator_data OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_orchestrator_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_orchestrator_data_id_seq OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_orchestrator_data_id_seq OWNED BY release_orchestrator_data.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    can_update_from_versions text DEFAULT '[]'::text NOT NULL,
    wizard_metadata text,
    is_deployable boolean DEFAULT true NOT NULL
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY action_logs ALTER COLUMN id SET DEFAULT nextval('action_logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups ALTER COLUMN id SET DEFAULT nextval('nodegroups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data ALTER COLUMN id SET DEFAULT nextval('release_orchestrator_data_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: action_logs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY action_logs (id, actor_id, action_group, action_name, action_type, start_timestamp, end_timestamp, is_sent, additional_info, cluster_id) FROM stdin;
1	49c895aaf59d4a45063b5884ff6d015db04b68e9ea6cde6bec9984ea41127a32	cluster_changes	cluster_collection	http_request	2014-11-07 09:31:53.575367	2014-11-07 09:31:53.987921	f	{"request_data": {"url": "/api/v1/clusters/", "http_method": "POST", "data": {"release_id": 2, "name": "ml2_2", "net_provider": "neutron", "tasks": [], "nodes": [], "net_segment_type": "gre"}}, "response_data": {"status": "201 Created", "data": {"status": "new", "is_customized": false, "release_id": 2, "name": "ml2_2", "grouping": "roles", "net_provider": "neutron", "fuel_version": "6.0", "pending_release_id": null, "changes": [{"node_id": null, "name": "attributes"}, {"node_id": null, "name": "networks"}], "id": 1, "mode": "ha_compact"}}}	\N
2	49c895aaf59d4a45063b5884ff6d015db04b68e9ea6cde6bec9984ea41127a32	cluster_changes	cluster_instance	http_request	2014-11-07 09:31:54.068566	2014-11-07 09:31:54.135141	f	{"request_data": {"url": "/api/v1/clusters/1/", "http_method": "PUT", "data": {"mode": "multinode"}}, "response_data": {"status": "200 OK", "data": {"status": "new", "is_customized": false, "release_id": 2, "name": "ml2_2", "grouping": "roles", "net_provider": "neutron", "fuel_version": "6.0", "pending_release_id": null, "changes": [{"node_id": null, "name": "attributes"}, {"node_id": null, "name": "networks"}], "id": 1, "mode": "multinode"}}}	1
3	c83adb6f9d60ffbda179c11240c15948e7ccee237d1cef7f3827ded27a36fa8a	cluster_changes	cluster_collection	http_request	2014-11-07 10:09:47.808606	2014-11-07 10:09:48.035252	f	{"request_data": {"url": "/api/v1/clusters/", "http_method": "POST", "data": {"release_id": 2, "name": "test", "net_provider": "neutron", "tasks": [], "nodes": [], "net_segment_type": "gre"}}, "response_data": {"status": "201 Created", "data": {"status": "new", "is_customized": false, "release_id": 2, "name": "test", "grouping": "roles", "net_provider": "neutron", "fuel_version": "6.0", "pending_release_id": null, "changes": [{"node_id": null, "name": "attributes"}, {"node_id": null, "name": "networks"}], "id": 2, "mode": "ha_compact"}}}	\N
4	c83adb6f9d60ffbda179c11240c15948e7ccee237d1cef7f3827ded27a36fa8a	cluster_changes	cluster_instance	http_request	2014-11-07 10:09:48.098699	2014-11-07 10:09:48.14914	f	{"request_data": {"url": "/api/v1/clusters/2/", "http_method": "PUT", "data": {"mode": "multinode"}}, "response_data": {"status": "200 OK", "data": {"status": "new", "is_customized": false, "release_id": 2, "name": "test", "grouping": "roles", "net_provider": "neutron", "fuel_version": "6.0", "pending_release_id": null, "changes": [{"node_id": null, "name": "attributes"}, {"node_id": null, "name": "networks"}], "id": 2, "mode": "multinode"}}}	2
5	ac08bc310422c119ee729fcdcf3da51e73daedc0e773e625a1cd5725ef370428	cluster_changes	cluster_instance	http_request	2014-11-07 10:17:29.567737	2014-11-07 10:17:29.910376	f	{"request_data": {"url": "/api/clusters/2", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	2
\.


--
-- Name: action_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('action_logs_id_seq', 5, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
1b1d4016375d
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin username", "weight": 50, "value": "", "label": "Username", "type": "text"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "vc_datastore": {"regex": {"source": "\\\\S", "error": "Empty datastore"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Datastore associated with the datacenter.", "weight": 60, "value": "", "label": "Datastore name", "type": "text"}, "images_vcenter": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter'"], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "vc_host": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "Specify valid IPv4 address"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "IP Address of vCenter/ESXi", "weight": 45, "value": "", "label": "vCenter/ESXi IP", "type": "text"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "vc_image_dir": {"regex": {"source": "\\\\S", "error": "Empty images directory"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "The name of the directory where the glance images will be stored in the VMware datastore.", "weight": 70, "value": "/openstack_glance", "label": "Datastore Images directory", "type": "text"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "images_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin password", "weight": 55, "value": "", "label": "Password", "type": "password"}, "vc_datacenter": {"regex": {"source": "\\\\S", "error": "Empty datacenter"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Inventory path to a datacenter. If you want to use ESXi host as datastore, it should be \\"ha-datacenter\\".", "weight": 65, "value": "", "label": "Datacenter name", "type": "text"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"value": "admin", "type": "text", "description": "Username for Zabbix Administrator", "weight": 10, "label": "username"}, "password": {"value": "zabbix", "type": "password", "description": "Password for Zabbix Administrator", "weight": 20, "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"replication_mode": {"value": true, "type": "checkbox", "description": "", "weight": 90, "label": "NSX cluster has Service nodes"}, "nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "public_network_assignment": {"assign_to_all_nodes": {"value": false, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers and zabbix-server only", "weight": 10, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "vCenter admin username", "weight": 20, "value": "", "label": "Username", "type": "text"}, "host_ip": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "Specify valid IPv4 address"}, "description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "provision": {"method": {"type": "radio", "values": [{"data": "image", "description": "Copying pre-built images on a disk.", "label": "Image"}, {"data": "cobbler", "description": "Install from scratch using anaconda or debian-installer.", "label": "Classic (use anaconda or debian-installer)"}], "description": "Which provision method to use for this cluster.", "value": "cobbler", "label": "Provision method"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 80, "label": "Provision"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 60, "label": "Resume guests state on host boot"}, "debug": {"value": true, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "CDyAVBaU"}, "keystone": {"admin_password": "b61YXkqQ"}, "database": {"passwd": "krHqiHlm"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.202.2"}, "ceilometer": {"db_password": "NluwOdtX", "user_password": "KvXdEtj5", "metering_secret": "RohAENsv"}, "heat": {"db_password": "1qPxiHAo", "user_password": "391BZkcy", "rabbit_password": "Cj4jn9FL"}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.20.202.2:8080/targetimages/ubuntu_1204_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.20.202.2:8080/targetimages/ubuntu_1204_amd64.img.gz", "format": "ext4"}}}, "murano": {"db_password": "0exONLdD", "user_password": "gC7btg2y", "rabbit_password": "zhAas7BI"}, "nova": {"db_password": "aIySgXSy", "user_password": "h9TK5BVC", "state_path": "/var/lib/nova"}, "zabbix": {"db_password": "T3Wnuv1F", "db_root_password": "XzzKmUZt"}, "keystone": {"db_password": "M4LgFVsc", "admin_token": "dkbmje2j"}, "rabbit": {"password": "Og5WRHrr"}, "mysql": {"root_password": "lxrV2lyW"}, "sahara": {"db_password": "9Se63ZJR", "user_password": "FRezwcCA"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "cinder": {"db_password": "FZARKDKH", "user_password": "TW24XfCJ"}, "swift": {"user_password": "6imARDqB"}, "glance": {"db_password": "0S7P5BKe", "user_password": "qhAlCXs8"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 2, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	1	interfaces
4	1	1	disks
5	1	2	interfaces
6	1	2	disks
7	1	3	interfaces
8	1	3	disks
9	1	4	interfaces
10	1	4	disks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 12, true);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, pending_release_id) FROM stdin;
1	multinode	new	neutron	roles	ml2_2	2	{}	{}	f	6.0	\N
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 2, true);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.202.3	10.20.202.127
8	2	172.18.164.102	172.18.164.112
10	3	192.168.202.2	192.168.202.254
12	4	172.16.202.2	172.16.202.254
13	5	172.18.164.71	172.18.164.94
15	6	192.168.201.2	192.168.201.254
17	7	172.16.201.2	172.16.201.254
18	8	10.20.201.3	10.20.201.127
19	9	172.16.0.2	172.16.0.126
20	10	192.168.0.1	192.168.0.254
21	11	192.168.1.1	192.168.1.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 24, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.202.2
2	3	1	192.168.202.2
3	3	2	192.168.202.3
4	3	3	192.168.202.4
5	3	4	192.168.202.5
6	2	1	172.18.164.102
7	4	1	172.16.202.2
8	4	2	172.16.202.3
9	4	3	172.16.202.4
10	4	4	172.16.202.5
11	1	1	10.20.202.3
12	1	2	10.20.202.4
13	1	3	10.20.202.5
14	1	4	10.20.202.6
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 14, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
17	1	8
18	1	7
19	2	6
20	2	5
21	3	4
22	4	1
23	3	3
24	4	2
25	1	12
26	1	16
27	2	11
28	2	15
29	3	10
30	3	14
31	4	9
32	4	13
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 32, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, vlan_start, cidr, gateway, meta, group_id) FROM stdin;
1	fuelweb_admin	\N	\N	\N	10.20.202.0/24	\N	{"notation": "ip_ranges", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": true, "render_addr_mask": null, "map_priority": 0}	\N
2	public	2	\N	324	172.18.164.96/27	172.18.164.97	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}	1
3	management	2	\N	101	192.168.202.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}	1
4	storage	2	\N	102	172.16.202.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}	1
5	public	2	\N	323	172.18.164.64/27	172.18.164.65	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}	2
6	management	2	\N	101	192.168.201.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}	2
7	storage	2	\N	102	172.16.201.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}	2
8	fuelweb_admin	2	\N	\N	10.20.201.0/24	10.20.201.1	{"notation": "ip_ranges", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": true, "render_addr_mask": null, "map_priority": 0}	2
9	public	2	\N	\N	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}	3
10	management	2	\N	101	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}	3
11	storage	2	\N	102	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}	3
12	fuelweb_admin	2	\N	\N	9.9.9.0/24	9.9.9.1	{"notation": "ip_ranges", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": true, "render_addr_mask": null, "map_priority": 0}	3
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 15, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
1	neutron_config	1	["8.8.4.4", "8.8.8.8"]	[["172.18.164.113", "172.18.164.126"]]
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 2, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
1	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	gre	ovs
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
1	1	[{"name": "vda", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 21568}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 13772}], "type": "disk", "id": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 35840}, {"name": "vdb", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 35276}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 35840}, {"_allocate_size": "min", "label": "Base System", "min_size": 21504, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 6144}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 48920}], "type": "vg", "id": "image"}]	{}
2	2	[{"name": "vda", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19520}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 15820}], "type": "disk", "id": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 35840}, {"name": "vdb", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 35276}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 35840}, {"_allocate_size": "min", "label": "Base System", "min_size": 19456, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 50968}], "type": "vg", "id": "vm"}]	{}
3	3	[{"name": "vda", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19520}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 15820}], "type": "disk", "id": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 35840}, {"name": "vdb", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 35276}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 35840}, {"_allocate_size": "min", "label": "Base System", "min_size": 19456, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 50968}], "type": "vg", "id": "vm"}]	{}
4	4	[{"name": "vda", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19520}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 15820}], "type": "disk", "id": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 35840}, {"name": "vdb", "extra": [], "free_space": 35212, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 35276}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 35840}, {"_allocate_size": "min", "label": "Base System", "min_size": 19456, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 50968}], "type": "vg", "id": "vm"}]	{}
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 4, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
1	1	eth3	52:54:00:1d:b5:37	\N	\N	\N	\N	up	\N
4	1	eth2	52:54:00:c1:2d:39	\N	\N	\N	\N	up	\N
6	1	eth1	52:54:00:1c:9a:86	\N	\N	\N	\N	up	\N
8	1	eth0	52:54:00:a9:ee:12	\N	\N	10.20.202.129	255.255.255.0	up	\N
2	2	eth3	52:54:00:ae:68:be	\N	\N	\N	\N	up	\N
3	2	eth2	52:54:00:16:71:36	\N	\N	\N	\N	up	\N
5	2	eth1	52:54:00:d9:cd:df	\N	\N	\N	\N	up	\N
7	2	eth0	52:54:00:4d:bb:e6	\N	\N	10.20.202.128	255.255.255.0	up	\N
9	3	eth3	52:54:00:ca:74:72	\N	\N	\N	\N	up	\N
10	3	eth2	52:54:00:53:07:bc	\N	\N	\N	\N	up	\N
11	3	eth1	52:54:00:dd:da:40	\N	\N	\N	\N	up	\N
12	3	eth0	52:54:00:b5:5a:17	\N	\N	10.20.201.129	255.255.255.0	up	\N
13	4	eth3	52:54:00:cd:8d:a9	\N	\N	\N	\N	up	\N
14	4	eth2	52:54:00:41:2f:42	\N	\N	\N	\N	up	\N
15	4	eth1	52:54:00:c3:c8:f2	\N	\N	\N	\N	up	\N
16	4	eth0	52:54:00:ab:2c:f5	\N	\N	10.20.201.128	255.255.255.0	up	\N
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 16, true);


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
\.


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 1, false);


--
-- Data for Name: nodegroups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodegroups (id, cluster_id, name) FROM stdin;
1	1	default
2	1	"group
3	1	group 2
\.


--
-- Name: nodegroups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodegroups_id_seq', 4, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info, group_id) FROM stdin;
4	577425c4-e833-43d2-9b82-0fa94a58d669	1	Untitled (2c:f5)	discover	{"system": {"version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "52:54:00:CD:8D:A9", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "52:54:00:41:2F:42", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "52:54:00:C3:C8:F2", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.20.201.128", "netmask": "255.255.255.0", "mac": "52:54:00:AB:2C:F5", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 37580963840}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 37580963840}], "cpu": {"real": 0, "total": 2, "spec": [{"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}, {"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 2147483648, "maximum_capacity": 2147483648, "devices": [{"type": "RAM", "size": 2147483648}]}}	52:54:00:ab:2c:f5	10.20.201.128	node-4.domain.tld	KVM	\N	\N	0	centos	t	f	\N	\N	2014-11-07 10:17:26.431841	t	86483b9e7ee769d13c19a3349d00233f26c62ebc	[]	{}	1
2	754721fd-c4ef-4db8-b325-0835295e4649	1	Untitled (bb:e6)	discover	{"system": {"version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "52:54:00:AE:68:BE", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "52:54:00:16:71:36", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "52:54:00:D9:CD:DF", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.20.202.128", "netmask": "255.255.255.0", "mac": "52:54:00:4D:BB:E6", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 37580963840}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 37580963840}], "cpu": {"real": 0, "total": 2, "spec": [{"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}, {"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 2147483648, "maximum_capacity": 2147483648, "devices": [{"type": "RAM", "size": 2147483648}]}}	52:54:00:4d:bb:e6	10.20.202.128	node-2.domain.tld	KVM	\N	\N	0	centos	t	f	\N	\N	2014-11-07 10:17:10.75359	t	dc19b3954af70f0e83e95c19f69a04ecd9f56cb0	[]	{}	1
3	b668c7fb-037f-41ae-ae44-4884ba9c2c83	1	Untitled (5a:17)	discover	{"system": {"version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "52:54:00:CA:74:72", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "52:54:00:53:07:BC", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "52:54:00:DD:DA:40", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.20.201.129", "netmask": "255.255.255.0", "mac": "52:54:00:B5:5A:17", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 37580963840}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 37580963840}], "cpu": {"real": 0, "total": 2, "spec": [{"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}, {"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 2147483648, "maximum_capacity": 2147483648, "devices": [{"type": "RAM", "size": 2147483648}]}}	52:54:00:b5:5a:17	10.20.201.129	node-3.domain.tld	KVM	\N	\N	0	centos	t	f	\N	\N	2014-11-07 10:17:26.088901	t	22e0ccd0f91180d433fce8654ca681dd110629a3	[]	{}	1
1	54d09193-890a-4861-9ccf-6017596b3146	1	Untitled (ee:12)	discover	{"system": {"version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "52:54:00:1D:B5:37", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "52:54:00:C1:2D:39", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "52:54:00:1C:9A:86", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.20.202.129", "mac": "52:54:00:A9:EE:12", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 37580963840}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:05.0-virtio-pci-virtio2", "size": 37580963840}], "cpu": {"real": 0, "total": 2, "spec": [{"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}, {"model": "QEMU Virtual CPU version 2.0.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 6442450944, "maximum_capacity": 6442450944, "devices": [{"type": "RAM", "size": 6442450944}]}}	52:54:00:a9:ee:12	10.20.202.129	node-1.domain.tld	KVM	\N	\N	0	centos	t	f	\N	\N	2014-11-07 10:17:11.453291	t	0e944e04103824699b27204783f25e1b2613ba0b	[]	{}	1
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 4, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
5	\N	4	\N	discover	New node is discovered: 2 CPUs / 2.0 GB RAM / 75.0 GB HDD 	read	2014-11-06 17:26:08.54381
4	\N	3	\N	discover	New node is discovered: 2 CPUs / 2.0 GB RAM / 75.0 GB HDD 	read	2014-11-06 17:25:52.580376
3	\N	2	\N	discover	New node is discovered: 2 CPUs / 2.0 GB RAM / 75.0 GB HDD 	read	2014-11-06 17:20:25.676265
2	\N	1	\N	discover	New node is discovered: 2 CPUs / 6.0 GB RAM / 75.0 GB HDD 	read	2014-11-06 17:20:25.67361
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-11-06 17:05:43.780799
6	\N	\N	\N	done	Environment 'test' and all its nodes are deleted	unread	2014-11-07 10:17:29.837942
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 6, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
1	7	1
2	8	2
3	8	3
4	8	4
\.


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 4, true);


--
-- Data for Name: release_orchestrator_data; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_orchestrator_data (id, release_id, repo_metadata, puppet_manifests_source, puppet_modules_source) FROM stdin;
\.


--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_orchestrator_data_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, can_update_from_versions, wizard_metadata, is_deployable) FROM stdin;
1	Juno on CentOS 6.5	2014.2-6.0	This option will install the OpenStack Juno packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.20.202.2:8080/targetimages/centos_65_x86_64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.20.202.2:8080/targetimages/centos_65_x86_64.img.gz", "format": "ext4"}}}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 55, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "enabled": false, "weight": 50, "toggleable": true, "label": "VLAN Splinters"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin username", "weight": 50, "value": "", "label": "Username", "type": "text"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "vc_datastore": {"regex": {"source": "\\\\S", "error": "Empty datastore"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Datastore associated with the datacenter.", "weight": 60, "value": "", "label": "Datastore name", "type": "text"}, "images_vcenter": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter'"], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "vc_host": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "Specify valid IPv4 address"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "IP Address of vCenter/ESXi", "weight": 45, "value": "", "label": "vCenter/ESXi IP", "type": "text"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "vc_image_dir": {"regex": {"source": "\\\\S", "error": "Empty images directory"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "The name of the directory where the glance images will be stored in the VMware datastore.", "weight": 70, "value": "/openstack_glance", "label": "Datastore Images directory", "type": "text"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "vc_datacenter": {"regex": {"source": "\\\\S", "error": "Empty datacenter"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Inventory path to a datacenter. If you want to use ESXi host as datastore, it should be \\"ha-datacenter\\".", "weight": 65, "value": "", "label": "Datacenter name", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin password", "weight": 55, "value": "", "label": "Password", "type": "password"}, "images_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"replication_mode": {"weight": 90, "type": "checkbox", "description": "", "value": true, "label": "NSX cluster has Service nodes"}, "nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers and zabbix-server only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "vCenter admin username", "weight": 20, "value": "", "label": "Username", "type": "text"}, "host_ip": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "Specify valid IPv4 address"}, "description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "provision": {"method": {"values": [{"data": "image", "description": "Copying pre-built images on a disk.", "label": "Image"}, {"data": "cobbler", "description": "Install from scratch using anaconda or debian-installer.", "label": "Classic (use anaconda or debian-installer)"}], "type": "radio", "description": "Which provision method to use for this cluster.", "value": "cobbler", "label": "Provision method"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 80, "label": "Provision"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "value": true, "label": "Resume guests state on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "zabbix-server": [{"id": "os", "allocate_size": "min"}, {"id": "mysql", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"depends": [{"warning": "Computes cannot be used with vCenter", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "MongoDB node can not be added to an operational environment.", "condition": "cluster:status != 'operational'"}, {"warning": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == true"}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "depends": [{"action": "hide", "condition": "'experimental' in version:feature_groups"}], "name": "Zabbix Server", "description": "Zabbix monitoring system server."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"depends": [{"warning": "Ceph cannot be used with vCenter", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.cinder": "default"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.cinder": "default"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}, {"bind": [{"wizard:Storage.cinder": "vcenter"}], "data": "vcenter", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "label": "dialog.create_cluster_wizard.compute.vcenter"}], "weight": 5, "value": "qemu", "type": "radio"}, "vc_user": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_user_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_username_description", "weight": 20, "bind": "settings:vcenter.vc_user.value", "label": "dialog.create_cluster_wizard.compute.vcenter_username", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_password_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_password_description", "weight": 30, "bind": "settings:vcenter.vc_password.value", "label": "dialog.create_cluster_wizard.compute.vcenter_password", "type": "password"}, "host_ip": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "dialog.create_cluster_wizard.compute.vcenter_ip_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_ip_description", "weight": 10, "bind": "settings:vcenter.host_ip.value", "label": "dialog.create_cluster_wizard.compute.vcenter_ip", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "dialog.create_cluster_wizard.compute.vcenter_cluster_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_cluster_description", "weight": 40, "bind": "settings:vcenter.cluster.value", "label": "dialog.create_cluster_wizard.compute.vcenter_cluster", "type": "text"}}, "Network": {"manager": {"values": [{"bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "label": "dialog.create_cluster_wizard.network.nova_network"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "gre"}], "data": "neutron-gre", "label": "dialog.create_cluster_wizard.network.neutr_gre"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "label": "dialog.create_cluster_wizard.network.neutr_vlan"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_l23_provider": "nsx"}, {"cluster:net_segment_type": "gre"}, {"settings:nsx_plugin.metadata.enabled": true}], "data": "neutron-nsx", "label": "dialog.create_cluster_wizard.network.neutr_nsx"}], "type": "radio"}}, "Storage": {"cinder": {"values": [{"restrictions": ["Compute.hypervisor == 'vcenter'"], "bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.cinder_vcenter_alert"}], "bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.volumes_vmdk.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_ceph.value": false}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}, "glance": {"values": [{"data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.glance_vcenter_alert"}], "bind": [{"settings:storage.images_ceph.value": true}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.images_vcenter.value": true}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}, {"data": "multinode", "label": "cluster.mode.multinode"}], "type": "radio"}}, "Ready": {}}	t
2	Juno on Ubuntu 12.04.4	2014.2-6.0	This option will install the OpenStack Juno packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.20.202.2:8080/targetimages/ubuntu_1204_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.20.202.2:8080/targetimages/ubuntu_1204_amd64.img.gz", "format": "ext4"}}}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "vc_datacenter": {"regex": {"source": "\\\\S", "error": "Empty datacenter"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Inventory path to a datacenter. If you want to use ESXi host as datastore, it should be \\"ha-datacenter\\".", "weight": 65, "value": "", "label": "Datacenter name", "type": "text"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin username", "weight": 50, "value": "", "label": "Username", "type": "text"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "vc_datastore": {"regex": {"source": "\\\\S", "error": "Empty datastore"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Datastore associated with the datacenter.", "weight": 60, "value": "", "label": "Datastore name", "type": "text"}, "images_vcenter": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter'"], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "vc_host": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "Specify valid IPv4 address"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "IP Address of vCenter/ESXi", "weight": 45, "value": "", "label": "vCenter/ESXi IP", "type": "text"}, "vc_image_dir": {"regex": {"source": "\\\\S", "error": "Empty images directory"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "The name of the directory where the glance images will be stored in the VMware datastore.", "weight": 70, "value": "/openstack_glance", "label": "Datastore Images directory", "type": "text"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin password", "weight": 55, "value": "", "label": "Password", "type": "password"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"replication_mode": {"weight": 90, "type": "checkbox", "description": "", "value": true, "label": "NSX cluster has Service nodes"}, "nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "metadata": {"enabled": true, "toggleable": false, "weight": 50, "label": "Mellanox Neutron components"}, "plugin": {"type": "radio", "values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "value": "disabled", "weight": 60, "label": "Mellanox drivers and SR-IOV plugin"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers and zabbix-server only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "vCenter admin username", "weight": 20, "value": "", "label": "Username", "type": "text"}, "host_ip": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "Specify valid IPv4 address"}, "description": "IP Address of vCenter", "weight": 10, "value": "", "label": "vCenter IP", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "provision": {"method": {"values": [{"data": "image", "description": "Copying pre-built images on a disk.", "label": "Image"}, {"data": "cobbler", "description": "Install from scratch using anaconda or debian-installer.", "label": "Classic (use anaconda or debian-installer)"}], "type": "radio", "description": "Which provision method to use for this cluster.", "value": "cobbler", "label": "Provision method"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 80, "label": "Provision"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "value": true, "label": "Resume guests state on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "zabbix-server": [{"id": "os", "allocate_size": "min"}, {"id": "mysql", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"depends": [{"warning": "Computes cannot be used with vCenter", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "MongoDB node can not be added to an operational environment.", "condition": "cluster:status != 'operational'"}, {"warning": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == true"}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "depends": [{"action": "hide", "condition": "'experimental' in version:feature_groups"}], "name": "Zabbix Server", "description": "Zabbix monitoring system server."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"depends": [{"warning": "Ceph cannot be used with vCenter", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.cinder": "default"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.cinder": "default"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}, {"bind": [{"wizard:Storage.cinder": "vcenter"}], "data": "vcenter", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "label": "dialog.create_cluster_wizard.compute.vcenter"}], "weight": 5, "value": "qemu", "type": "radio"}, "vc_user": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_user_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_username_description", "weight": 20, "bind": "settings:vcenter.vc_user.value", "label": "dialog.create_cluster_wizard.compute.vcenter_username", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_password_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_password_description", "weight": 30, "bind": "settings:vcenter.vc_password.value", "label": "dialog.create_cluster_wizard.compute.vcenter_password", "type": "password"}, "host_ip": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])$", "error": "dialog.create_cluster_wizard.compute.vcenter_ip_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_ip_description", "weight": 10, "bind": "settings:vcenter.host_ip.value", "label": "dialog.create_cluster_wizard.compute.vcenter_ip", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "dialog.create_cluster_wizard.compute.vcenter_cluster_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_cluster_description", "weight": 40, "bind": "settings:vcenter.cluster.value", "label": "dialog.create_cluster_wizard.compute.vcenter_cluster", "type": "text"}}, "Network": {"manager": {"values": [{"bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "label": "dialog.create_cluster_wizard.network.nova_network"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "gre"}], "data": "neutron-gre", "label": "dialog.create_cluster_wizard.network.neutr_gre"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "label": "dialog.create_cluster_wizard.network.neutr_vlan"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_l23_provider": "nsx"}, {"cluster:net_segment_type": "gre"}, {"settings:nsx_plugin.metadata.enabled": true}], "data": "neutron-nsx", "label": "dialog.create_cluster_wizard.network.neutr_nsx"}], "type": "radio"}}, "Storage": {"cinder": {"values": [{"restrictions": ["Compute.hypervisor == 'vcenter'"], "bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.cinder_vcenter_alert"}], "bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.volumes_vmdk.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_ceph.value": false}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}, "glance": {"values": [{"data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.glance_vcenter_alert"}], "bind": [{"settings:storage.images_ceph.value": true}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.images_vcenter.value": true}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}, {"data": "multinode", "label": "cluster.mode.multinode"}], "type": "radio"}}, "Ready": {}}	t
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	1	mongo
6	1	zabbix-server
7	2	controller
8	2	compute
9	2	cinder
10	2	ceph-osd
11	2	mongo
12	2	zabbix-server
\.


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 12, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
3	\N	5f1159e6-4a20-4989-ae50-d09eb7bf8dea	dump	\N	running	0	{"args": {"task_uuid": "5f1159e6-4a20-4989-ae50-d09eb7bf8dea", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "10.20.202.2"}]}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.20.202.2", "password": "vblHHi1b", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.20.202.2:80/cobbler_api"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "localhost"}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}], "hosts": []}}}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 3, true);


--
-- Name: action_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY action_logs
    ADD CONSTRAINT action_logs_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_name_key1; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key1 UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodegroups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: release_orchestrator_data_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_release_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_release_id_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: fk_pending_release_id; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT fk_pending_release_id FOREIGN KEY (pending_release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodegroups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: release_orchestrator_data_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

